# wxWizardPage Class Reference
[Miscellaneous Windows]

`#include <wx/wizard.h>`

Inheritance diagram for wxWizardPage:
[legend]

## Detailed Description

wxWizardPage is one of the screens in wxWizard: it must know what are the following and preceding pages (which may be NULL for the first/last page).

Except for this extra knowledge, wxWizardPage is just a panel, so the controls may be placed directly on it in the usual way.

This class allows the programmer to decide the order of pages in the wizard dynamically (during run-time) and so provides maximal flexibility. Usually, however, the order of pages is known in advance in which case wxWizardPageSimple class is enough and it is simpler to use.

## Virtual functions to override

To use this class, you must override wxWizardPage::GetPrev() and wxWizardPage::GetNext() pure virtual functions (or you may use wxWizardPageSimple instead). wxWizardPage::GetBitmap() can also be overridden, but this should be very rarely needed.

##

Library: wxAdvanced

Category: Miscellaneous Windows

See also:
  wxWizard, Wizard Sample

## Public Member Functions
| wxWizardPage (wxWizard *parent, const wxBitmap &bitmap=wxNullBitmap)
| Constructor accepts an optional bitmap which will be used for this page instead of the default one for this wizard (note that all bitmaps used should be of the same size).
virtual wxBitmap | GetBitmap () const
| This method is called by wxWizard to get the bitmap to display alongside the page.
virtual wxWizardPage * | GetNext () const =0
| Get the page which should be shown when the user chooses the `"Next"` button: if NULL is returned, this button will be disabled.
virtual wxWizardPage * | GetPrev () const =0
| Get the page which should be shown when the user chooses the `"Back"` button: if NULL is returned, this button will be disabled.

List of all members.

## Constructor & Destructor Documentation

wxWizardPage::wxWizardPage | ( | wxWizard * | parent,
|  | const wxBitmap & | bitmap = `wxNullBitmap` |
| ) |  |  |

Constructor accepts an optional bitmap which will be used for this page instead of the default one for this wizard (note that all bitmaps used should be of the same size).

Notice that no other parameters are needed because the wizard will resize and reposition the page anyhow.

Parameters:

  | parent | The parent wizard
  | bitmap | The page-specific bitmap if different from the global one

## Member Function Documentation

virtual wxBitmap wxWizardPage::GetBitmap | ( |  | ) | const`[virtual]`

This method is called by wxWizard to get the bitmap to display alongside the page.

By default, `m_bitmap` member variable which was set in the wxWizardPage() constructor.

If the bitmap was not explicitly set (i.e. if wxNullBitmap is returned), the default bitmap for the wizard should be used.

The only cases when you would want to override this function is if the page bitmap depends dynamically on the user choices, i.e. almost never.

virtual wxWizardPage* wxWizardPage::GetNext | ( |  | ) | const`[pure virtual]`

Get the page which should be shown when the user chooses the `"Next"` button: if NULL is returned, this button will be disabled.

The last page of the wizard will usually return NULL from here, but the others will not.

See also:
  GetPrev()

virtual wxWizardPage* wxWizardPage::GetPrev | ( |  | ) | const`[pure virtual]`

Get the page which should be shown when the user chooses the `"Back"` button: if NULL is returned, this button will be disabled.

The first page of the wizard will usually return NULL from here, but the others will not.

See also:
  GetNext()

|  | [ top ]